# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
Puppet::Functions.create_function('pg_config::generated_password') do
  dispatch :generated_password do
    optional_param 'Integer',  :password_length
    return_type 'String'
  end

  def generated_password(password_length = 12)
    require_relative '../../../puppet_x/enterprisemodules/postgres/utilities'
    extend PuppetX::EnterpriseModules::Postgres::Utilities
    generated_password(password_length)
  end
end
