# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'
require 'puppet_x/enterprisemodules/postgres/access'

Puppet::Type.type(:pg_extension).provide(:simple) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Postgres::Access

  desc 'Manage Postgres extensions via regular SQL'

  mk_resource_methods
end
