# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
require 'easy_type'

Puppet::Type.type(:pg_validation).provide(:simple) do
  include EasyType::Provider
  include PuppetX::EnterpriseModules::Postgres::Access

  desc 'Validate Postgres settings'

  mk_resource_methods
end
