# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:role) do
  include EasyType
  include EasyType::Validators::Name

  defaultto ''

  desc <<-EOD
    The owner of the table.

    If none is specified, it will connect as the user specified in pg_instance.
  EOD

  data_type('String[1]')
end
