# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:extension_name) do
  include EasyType
  include EasyType::Validators::Name

  desc <<-EOD
    The extension name.
  EOD

  isnamevar

  data_type('String[1]')
end
