# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:db_user) do
  include EasyType::YamlProperty

  desc <<-EOD
  The database user that is used for the connect. By default this is `postgres`.
  EOD

  defaultto 'postgres'

  data_type('Optional[String[1]]')
end
