# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:unit, :parent => ::PuppetX::EnterpriseModules::Postgres::ReadOnlyProperty) do
  include EasyType

  desc <<-EOD
      The value of the specified parameter
  EOD

  data_type('Optional[String[1]]')

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('unit')
  end
end
