# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:valid_until) do
  include EasyType

  desc <<-EOD
    specified password expiry time (only used for password authentication)

  EOD

  # newvalues(:true, :false)
  # data_type('Optional[Boolean]')

  on_apply do
    "VALID UNTIL '#{value}'"
  end

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('rolvaliduntil')
  end
end
