# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:db) do
  include EasyType
  include PuppetX::EnterpriseModules::Postgres::Settings

  desc <<-EOD
    database to connect to.

  EOD

  isnamevar
  data_type('String[1]')

  defaultto 'postgres'

  to_translate_to_resource do |raw_resource|
    raw_resource.column_data('db')
  end
end
